package com.taauav.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户组表
 * </p>
 *
 * @author dyg
 * @since 2020-04-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvAgency extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 父级ID
     */
    private Integer pid;

    /**
     * 用户组中文名称
     */
    private String name;

    /**
     * 有无子级：1有 2无
     */
    private Integer hasChild;

    /**
     * 层级
     */
    private Integer level;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private Integer sort;


}
